Package com.meterware.httpunit.scripting

# Interface ScriptingEngine

All Superinterfaces:
  `ScriptingEventHandler`, `ScriptingHandler`

public interface ScriptingEngine extends ScriptingHandler

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`void`
`clearCaches()`
Clears any cached values, permitting them to be recomputed as needed.
`ScriptingEngine`
`newScriptingEngine(ScriptableDelegate child)`
Returns a new scripting engine for the specified delegate.

### Methods inherited from interface com.meterware.httpunit.scripting.ScriptingEventHandler

`doEvent, doEventScript, handleEvent`

### Methods inherited from interface com.meterware.httpunit.scripting.ScriptingHandler

`evaluateExpression, runScript, supportsScriptLanguage`

## Method Details

### newScriptingEngine

ScriptingEngine newScriptingEngine(ScriptableDelegate child)
Returns a new scripting engine for the specified delegate.

### clearCaches

void clearCaches()
Clears any cached values, permitting them to be recomputed as needed.

Specified by:
  `clearCaches` in interface `ScriptingHandler`